Package Details: waf 1.9.11-1

Git Clone URL: https://aur.archlinux.org/waf.git (read-only)
Package Base: waf
Description: General-purpose build system modelled after Scons
Upstream URL: http://waf.io/
Licenses: BSD
Provides: python-waf
Submitter: xyproto
Maintainer: XZS
Last Packager: XZS
Votes: 38
Popularity: 0.209769
First Submitted: 2014-10-22 14:19
Last Updated: 2017-05-12 11:45

Latest Comments

der_fenix commented on 2016-09-18 11:34

Add please kde4 to the tools, required for semantik package

XZS commented on 2016-07-20 17:55

As for now, I switch this package to the new version 1.9. It includes significant API changes, but transition should be smooth in most cases. Tough version 1.8 is still maintained, I advise anyone to upgrade. If you run into problems with the new interface and find yourself unable to transition, feel free to contact me.

XZS commented on 2016-02-07 20:16

I activated optimization of compiled python code for the waf library after version 1.8.19. This also discards all docstrings, but should improve performance and reduces disk space. Please notify me if you experience any problems with this.

WoefulDerelict commented on 2015-10-02 18:56

The fix appears to be working fine on my machine. Builds fine now. Thanks XZS!

XZS commented on 2015-10-02 18:36

Some intermixed tabs and spaces in the upstream source confused the package function. This is already corrected in waf's git repository, so I somewhat brute-force-fixed it until the next release.

WoefulDerelict commented on 2015-10-02 05:46

Compiling '/tmp/yaourt-tmp/aur-waf/pkg/waf/usr/lib/waf3-1.8.14-70925399569aef860134485bbc4b9e8e/waflib/fixpy2.py'...
==> ERROR: A failure occurred in package().
Aborting...

wyre commented on 2015-10-01 20:52

I get a failure in package() PKGBUILD's function.

XZS commented on 2015-08-24 17:51

Done. Thank you for the notice.

madprog commented on 2015-08-23 13:47

Please add 'unzip' to the 'makedepends' variable, as I got this error:
/tmp/yaourt-tmp-archie/aur-waf/./PKGBUILD: line 42: unzip: command not found

Thank you!

grossws commented on 2015-05-22 01:52

Current is 1.8.9,
source=("https://waf.io/${pkgname}-${pkgver}.tar.bz2")
sha256sums=('41c3e0839774bdad55e3e416a87ea19724dfeba258f2388c1f73362bebe17eb5')

Url can be set to https://waf.io/.

My previos comment about LICENSE was incorrect, sorry.

All comments